package dk.topsecurity.businessdelegate;

import java.util.List;
import dk.topsecurity.hibernate.*; //Attribute

/**
 * Business delegate layer to seperate DAO from web presentation
 * according to http://www.corej2eepatterns.com/Patterns2ndEd/BusinessDelegate.htm
 */
public interface AttributeManager {

    public List getAttributes();
    public Attribute getAttribute(String attributeId);
    public boolean existAttribute(String attributeName);
    public Attribute saveAttribute(Attribute attribute);
    public void removeAttribute(String attributeId);

}