package dk.topsecurity.hibernate;

import java.util.Date;

/**
 * POJO (Plain old Java Object) which serves as Value Object according to
 * http://java.sun.com/blueprints/corej2eepatterns/Patterns/TransferObject.html
 */
public class Attribute extends JoshuaBlochBaseObject {
    private Long id;
    private String attributeName;
    private String attributeValue;
    private Date attributeDate = new Date(); //initialized at construction
    
    public Long getId() { return id; }

    public void setId(Long newId) { id = newId; }
    
    public String getAttributeName() { return attributeName; }

    public void setAttributeName(String name) { attributeName = name; }

    public String getAttributeValue() { return attributeValue; }

    public void setAttributeValue(String value) { attributeValue = value; }

    public Date getAttributeDate() { return attributeDate; }

    public void setAttributeDate(Date date) { attributeDate = date; }

}
