<%@ include file="/taglibs.jsp"%>
<title>CRUD reference application - create/update/delete usecase</title>
<p>Enter attribute information below:</p>

<html:form action="/attribute" focus="attribute.attributeName" 
    onsubmit="return validateAttributeForm(this)">

<!-- hidden field is submitted as well and signals action to take-->
  <input type="hidden" name="method" value="save"/>

  <html:hidden property="attribute.id"/>
  <table>
  <tr>
    <th><bean:message key="attribute.attributeName"/>
    <c:choose> 
      <c:when test="${not empty param.id}">
        <td><html:text property="attribute.attributeName" readonly="true"/>: </th>
      </c:when>
      <c:when test="${empty param.id}">
        <td><html:text property="attribute.attributeName"/></td>
      </c:when>
    </c:choose> 
    
  </tr>
  <tr>
    <th><bean:message key="attribute.attributeValue"/>: </th>
    <td><html:text property="attribute.attributeValue"/></td>
  </tr>
  <tr>
    <td></td>
    <td>
      <html:submit styleClass="button">Save</html:submit>

      <c:if test="${not empty param.id}">
        <html:submit styleClass="button" onclick="this.form.method.value='delete'">Delete</html:submit>
      </c:if>
    </td>
  </tr>
  </table>

</html:form>

<html:javascript formName="attributeForm"/>