package dk.topsecurity.springdao;

import java.util.List;
import dk.topsecurity.hibernate.*;

/**
 * Interface for DAO object, used by business delegate layer to access.
 * DAO according to http://java.sun.com/blueprints/corej2eepatterns/Patterns/DataAccessObject.html
 */
public interface AttributeDAO {

    public List getAttributes();

    public Attribute getAttribute(Long attributeId);

    public boolean existAttribute(String attributeName);

    public void saveAttribute(Attribute attribute);

    public void removeAttribute(Long attributeId);

}
